"use strict";
const chalk = require('chalk');
const logger = require('@zkochan/logger');
function err(error) {
    logger.error('', error);
    console.error('');
    if (error.host && error.path) {
        const httpError = error;
        console.error('' + httpError.message);
        console.error('' + httpError.method + ' ' + httpError.host + httpError.path);
    }
    else {
        console.error(chalk.red(' ! ' + (error.message || error)));
        if (process.env.DEBUG_PROMISE && error.stack && !error['silent']) {
            console.error(chalk.red(error.stack));
        }
    }
    console.error('');
    process.exit(1);
}
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = err;
//# sourceMappingURL=err.js.map