"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator.throw(value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments)).next());
    });
};
const path = require('path');
const pnpmPkgJson_1 = require('../pnpmPkgJson');
const yamlfs_1 = require('./yamlfs');
const storeFileName = 'store.yaml';
function create(treeType) {
    return {
        pnpm: pnpmPkgJson_1.default.version,
        type: treeType,
        packages: {}
    };
}
exports.create = create;
function read(storePath) {
    return __awaiter(this, void 0, void 0, function* () {
        const storeYamlPath = path.join(storePath, storeFileName);
        try {
            return yield yamlfs_1.read(storeYamlPath);
        }
        catch (err) {
            if (err.code !== 'ENOENT') {
                throw err;
            }
            return null;
        }
    });
}
exports.read = read;
function save(storePath, store) {
    const storeYamlPath = path.join(storePath, storeFileName);
    return yamlfs_1.write(storeYamlPath, store);
}
exports.save = save;
//# sourceMappingURL=storeController.js.map